Bug 108341 - [CI][SHARDS] igt@kms_psr@no_drrs - fail - Failed assertion: drrs_disabled(&data)
Summary: [CI][SHARDS] igt@kms_psr@no_drrs - fail - Failed assertion: drrs_disabled(&data)
Status: ASSIGNED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium minor
Assignee: Jose Roberto de Souza
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-12 14:13 UTC by Martin Peres
Modified: 2019-10-31 19:16 UTC (History)
3 users (show)

See Also:
i915 platform: ICL
i915 features: display/PSR


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-12 14:13:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_125/fi-icl-u/igt@kms_psr@no_drrs.html

Starting subtest: no_drrs
(kms_psr:1093) CRITICAL: Test assertion failure function main, file ../tests/kms_psr.c:439:
(kms_psr:1093) CRITICAL: Failed assertion: drrs_disabled(&data)
Subtest no_drrs failed.
Comment 1 Jose Roberto de Souza 2019-02-07 22:27:30 UTC
Will be fixed by https://patchwork.freedesktop.org/series/56369/
Comment 2 James Ausmus 2019-02-27 20:57:24 UTC
Did that series end up merging?
Comment 3 Martin Peres 2019-04-23 12:35:46 UTC
(In reply to James Ausmus from comment #2)
> Did that series end up merging?

It does not seem like it... Anyway, bumping the priority since it happens on shards!
Comment 4 James Ausmus 2019-04-24 23:28:21 UTC
From looking at the kms_psr.c test, the assert that is bailing out is only checking if DRRS is *supported* by the panel, rather than if DRRS is *enabled* by the driver. This is incorrect, and the test needs to be fixed.

This is not a user impacting issue, but only an IGT issue
Comment 5 emersion 2019-06-11 07:44:29 UTC
(Not to be confused with https://bugs.freedesktop.org/show_bug.cgi?id=107383 which is a different failure in the same subtest)

This bug only happens on one machine, shard-iclb1, where it always fails. It's hit weekly or so.

(In reply to James Ausmus from comment #4)
> From looking at the kms_psr.c test, the assert that is bailing out is only
> checking if DRRS is *supported* by the panel, rather than if DRRS is
> *enabled* by the driver. This is incorrect, and the test needs to be fixed.
> 
> This is not a user impacting issue, but only an IGT issue

Agreed. drrs_disabled needs to be fixed.

CC'ing radhakrishna.sripada@intel.com since they last touched the check in commit 7c79e2ca1f78d.
Comment 6 Vanshidhar Konda 2019-10-31 18:21:47 UTC
Lowering the priority of the bug as it has been identified as a bug in the IGT test and occurs on only ICL platforms. It has no impact to the user.
Comment 7 Jose Roberto de Souza 2019-10-31 19:16:47 UTC
(In reply to Vanshidhar Konda from comment #6)
> Lowering the priority of the bug as it has been identified as a bug in the
> IGT test and occurs on only ICL platforms. It has no impact to the user.

It will happen in any GEN8+ platform with a panel that supports PSR and DRRS.

I have the fix but did not got reviews all the times that I sent it.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.